<template>
  <NuxtLayout>
    <Menubar :model="items"> 
      <template #item="{ item, props, hasSubmenu, root }">
        <router-link v-if="item.route" v-slot="{ href, navigate }" :to="item.route" custom>
          <a v-ripple :href="href" v-bind="props.action" @click="navigate">
              <span :class="item.icon" />
              <span class="ml-2">{{ item.label }}</span>
          </a>
        </router-link>
        <a v-else v-ripple :href="item.url" :target="item.target" v-bind="props.action">
          <span :class="item.icon" />
          <span class="ml-2">{{ item.label }}</span>
          <span v-if="hasSubmenu" class="pi pi-fw pi-angle-down ml-2" />
        </a>
      </template>
    </Menubar>
    <NuxtPage />
    <Breadcrumb :home="home" :model="items">
      <template #item="{ item, props }">
        <router-link v-if="item.route" v-slot="{ href, navigate }" :to="item.route" custom>
          <a :href="to" v-bind="props.action" @click="navigate">
            <span  :class="[item.icon, 'text-color']" />
            <span class="text-primary font-semibold">{{ item.label }}</span>
          </a>
        </router-link>
        <a v-else :href="item.url" :target="item.target" v-bind="props.action">
            <span class="text-color">{{ item.label }}</span>
        </a>
      </template>
    </Breadcrumb>
  </NuxtLayout>
</template>

<script setup>
import { ref } from 'vue';
import { useRouter } from 'vue-router';

const router = useRouter();
console.log('current name', router.currentRoute.value)

const items = ref([
  {
    label: 'Home',
    icon: 'pi pi-fw pi-home',
    to: '/',
    command: () => {
        router.push('/');
    }
  },
  {
    label: 'Pages',
    icon: 'pi pi-fw pi-list',
    to: '/items',
    items: [
        {
            label: 'items',
            route: '/items'
        }
    ]
  },
  {
    label: 'About',
    icon: 'pi pi-fw pi-info',
    to: '/about'
  }
]);
</script>